### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-page-header/ecl-page-header-harmonised/ecl-page-header-harmonised-description.directive.ts`

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclPageHeaderHarmonisedDescriptionContainer]`

### Index

###### Properties

- className

###### Methods

- getCssClasses

###### Inputs

- class
- e2eAttr

###### HostBindings

- class

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `string`
Default value : `'ecl-page-header-harmonised__description-container'`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

className
Type : `string`
Default value : `'ecl-page-header-harmonised__description-container'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""